package jalview.bin.groovy;

import jalview.bin.Jalview.ExitCode;
import jalview.gui.AlignFrame;

public class JalviewObject implements JalviewObjectI
{
  private JalviewObjectI object = null;

  public JalviewObject(JalviewObjectI j)
  {
    this.object = j;
  }

  @Override
  public AlignFrame[] getAlignFrames()
  {
    return object == null ? null : object.getAlignFrames();
  }

  @Override
  public AlignFrame getCurrentAlignFrame()
  {
    return object == null ? null : object.getCurrentAlignFrame();
  }

  @Override
  public void quit()
  {
    if (object != null)
    {
      object.quit();
    }
    else
    {
      jalview.bin.Jalview.exit(
              "Groovy console quit without Jalview object.",
              ExitCode.GROOVY_ERROR);
    }
  }

}
